Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.x509
Class AttributeCertificateHolder

    java.lang.Object
      org.bouncycastle.x509.AttributeCertificateHolder

All Implemented Interfaces:
  java.security.cert.CertSelector, java.lang.Cloneable

public class AttributeCertificateHolder
extends java.lang.Object
implements java.security.cert.CertSelector

The Holder object.

      Holder ::= SEQUENCE {
            baseCertificateID   [0] IssuerSerial OPTIONAL,
                     -- the issuer and serial number of
                     -- the holder's Public Key Certificate
            entityName          [1] GeneralNames OPTIONAL,
                     -- the name of the claimant or role
            objectDigestInfo    [2] ObjectDigestInfo OPTIONAL
                     -- used to directly authenticate the holder,
                     -- for example, an executable
      }

Constructor Summary
`AttributeCertificateHolder(javax.security.auth.x500.X500Principal principal)`
`AttributeCertificateHolder(java.security.cert.X509Certificate cert)`
`AttributeCertificateHolder(X509Principal principal)`

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `match(java.security.cert.Certificate cert)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeCertificateHolder

    public AttributeCertificateHolder(java.security.cert.X509Certificate cert)
                               throws java.security.cert.CertificateParsingException

### AttributeCertificateHolder

    public AttributeCertificateHolder(javax.security.auth.x500.X500Principal principal)
                               throws java.io.IOException

### AttributeCertificateHolder

    public AttributeCertificateHolder(X509Principal principal)

Method Detail

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `java.security.cert.CertSelector`

### match

    public boolean match(java.security.cert.Certificate cert)

  Specified by:
    `match` in interface `java.security.cert.CertSelector`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD